UNITS | CLASSES, INTERFACES, OBJECTS | TYPES | VARIABLES | CONSTANTS | FUNCTIONS, PROCEDURES | IDENTIFIERS

# Class TIBTransaction

## Unit

Interbase

## Declaration

`type TIBTransaction = class(TComponent)`

## Fields

None.

## Methods

### Overview

`constructor Create(AOwner : TComponent); override;`
`destructor Destroy; override;`
`procedure Commit; virtual;`
`procedure CommitRetaining; virtual;`
`function GetHandle : pointer; virtual;`
`procedure Rollback; virtual;`
`procedure RollbackRetaining; virtual;`
`procedure StartTransaction;`

### Description

`constructor Create(AOwner : TComponent); override;`

`destructor Destroy; override;`

`procedure Commit; virtual;`

Commits all actions, which was made in transaction, and closes transaction

`procedure CommitRetaining; virtual;`

Commits all actions, closes transaction, and creates new one

`function GetHandle : pointer; virtual;`

`procedure Rollback; virtual;`

Rollbacks all actions made in transaction, and closes transaction

`procedure RollbackRetaining; virtual;`

Rollbacks all actions made in transaction, closes trans. and creates new one

`procedure StartTransaction;`

Creates new transaction. If transaction is active, closes it and make new one. Action taken while closing responds to Action property settings

## Properties

### Overview

`Action:`

`Active:`

`Database:`

### Description

`Action:`

Default action while closing transaction by setting Active property. For details see TCommitRollbackAction

`Active:`

Is set to true while transaction is active, false if not. If you set it manually to true, object executes StartTransaction method, if transaction is active, and you set Active to false, object executes one of Commit, CommitRetaining, Rollback, RollbackRetaining methods, depending on Action property setting.

`Database:`

Transaction must be assigned to some database session, for which purpose you must use this property

Generated by pasdoc 0.6.17 on Fri 3 Nov 2000 09:02:48